.mdc-select{
	@include mdc-select-outline-shape-radius(50%);
	height: 40px;

	&.mdc-select--outlined{
		@include mdc-select-focused-outline-color($mdc-theme-secondary);
		@include mdc-select-hover-outline-color($mdc-theme-secondary);
		&.mdc-select--focused{
			&:not(.mdc-select--disabled){
				.mdc-notched-outline {
					@include mdc-notched-outline-stroke-width(1px);
				}
			}
		}
		.mdc-select__selected-text {
			padding-top: 8px;
		}
		.mdc-floating-label{
			top: 11px;
		}
	}

	&.mdc-select--focused,&.mdc-select--activated{
		.mdc-notched-placeholder__notch{
			display:none;
		}
	}

	&.mdc-select--activated{
		.mdc-select__dropdown-icon {
			-webkit-transform: rotate(180deg) translateY(0px);
			transform: rotate(180deg) translateY(-0px);
		}
	}

	.mdc-select__selected-text:not(:empty) + .mdc-notched-outline--notched{
		.mdc-notched-placeholder__notch{
			display:none;
		}
	}

	.mdc-select__dropdown-icon{
		bottom: 8px;
		color: $mdc-theme-secondary;
		background: none;
	}

	.mdc-select__native-control{
		border-radius: 0;

		option[value='']{
			display: none;
		}
	}

	.mdc-select__selected-text{
		text-overflow: ellipsis;
		white-space: nowrap;
		overflow: hidden;
		display: inline-block;
	}
}

.mdc-select--outlined + .mdc-text-field-helper-line {
	padding-left: 32px;
	padding-right: 28px;
}

.mdc-select__menu{
	.mdc-list{
		.mdc-list-item{
			&[data-value='']{
				display: none;
			}
		}
	}
}
